package com.yingxin.beijingvehicleflow.service;

import com.yingxin.beijingvehicleflow.dto.ReservationsDisplayDTO;
import com.yingxin.beijingvehicleflow.entity.IdentityInformation;
import net.sf.json.JSONObject;

import java.util.List;

/**
 * description //TODO
 *
 * @author 226
 * @version 1.0
 * @date 2020/2/23
 */
public interface IdentityInformationService {

    /**
     *  注册时插入的记录，此时只有微信绑定手机号码以及openid
     *
     * @date 2020/2/23
     * @param identityInformation 包括微信手机号和微信openid
     * @return int 插入后的逻辑主键
     */
    int insertIdentityInfo(IdentityInformation identityInformation);

    /**
     *  预约表单提交关于身份信息的完善
     *
     * @date 2020/2/23
     * @param identityInformation 除开微信手机号和微信openid的所有信息
     * @return int 更新数据条数
     */
    boolean isUpdateIdentityInfoSucc(IdentityInformation identityInformation);

    JSONObject getwechatInfoByTempCode(String code);

    IdentityInformation getAllInfoByOpenid(String openid);

    List<ReservationsDisplayDTO> selectReservatinsByIdentityId(IdentityInformation info);

}
