package com.yingxin.beijingvehicleflow.service;

import com.yingxin.beijingvehicleflow.dto.ReservationInfoDTO;
import com.yingxin.beijingvehicleflow.entity.IdentityInformation;
import com.yingxin.beijingvehicleflow.entity.Reservation;
import com.yingxin.beijingvehicleflow.response.Response;

import java.util.List;

/**
 * 预约表单相关服务
 *
 * @author 226
 * @version 1.0
 * @date 2020/2/23
 */
public interface ReservationService {

    Response insertIdentityInfoAndReservation(ReservationInfoDTO info) throws Exception;

    boolean isInsertReservationSucc(Reservation reservation);

    boolean isUpdateAuthInfoSucc(Reservation reservation);

    List<Reservation> selectNotVerifyReservatinsByIdentityId(IdentityInformation info);
}
