package com.yingxin.beijingvehicleflow.controller;

import com.yingxin.beijingvehicleflow.entity.FloatingPopulation;
import com.yingxin.beijingvehicleflow.response.Response;
import com.yingxin.beijingvehicleflow.service.FloatingPopulationServcie;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * description //TODO
 *
 * @author 226
 * @version 1.0
 * @date 2020/2/24
 */
@RestController
@CrossOrigin
@RequestMapping("/api/v1")
public class FloatingPopulationController {

    @Autowired
    private FloatingPopulationServcie populationServcie;

    @PostMapping("/float-population")
    public Response checkFloatingPopulation(@RequestBody FloatingPopulation floatingPopulation) {

        if (!populationServcie.isIdentityInfoValid(floatingPopulation)) {
            return Response.fail("INVALID-CODE","二维码已过期，请重新生成二维码。");
        }

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        floatingPopulation.setCheckTime(sdf.format(new Date()));
        FloatingPopulation selectResult = populationServcie.selectOneByReservationId(floatingPopulation);
        floatingPopulation.setAuthCoordinate(selectResult.getAuthCoordinate());
        floatingPopulation.setAuthTime(selectResult.getAuthTime());
        floatingPopulation.setSubmitCoordinate(selectResult.getSubmitCoordinate());
        floatingPopulation.setSubmitTime(selectResult.getSubmitTime());

        return populationServcie.isInsertFloatingPopulationSucc(floatingPopulation)?Response.succ():Response.fail();
    }


}
